www/p5-HTTP-Tinyish - The NetBSD Packages Collection

HTTP::Tiny compatible HTTP client wrappers

HTTP::Tinyish is a wrapper module for HTTP client modules LWP,
HTTP::Tiny and HTTP client software curl and wget.

It provides an API compatible to HTTP::Tiny, and the implementation has
been extracted out of App::cpanminus.  This module can be useful in a
restrictive environment where you need to be able to download CPAN
modules without an HTTPS support in built-in HTTP library.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/p5-File-Which devel/p5-IPC-Run3 lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 8.0earmv7hfp5-HTTP-Tinyish-0.17.tgz
NetBSD 8.0earmv7hfp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 8.0i386p5-HTTP-Tinyish-0.17.tgz
NetBSD 8.0i386p5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 8.0powerpcp5-HTTP-Tinyish-0.17.tgz
NetBSD 8.0powerpcp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 8.0powerpcp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 8.0powerpcp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 8.0x86_64p5-HTTP-Tinyish-0.17.tgz
NetBSD 8.0x86_64p5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0aarch64p5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0aarch64p5-HTTP-Tinyish-0.17.tgz
NetBSD 9.0aarch64p5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0alphap5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0alphap5-HTTP-Tinyish-0.17.tgz
NetBSD 9.0alphap5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0earmp5-HTTP-Tinyish-0.17.tgz
NetBSD 9.0earmp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0earmp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0earmv6hfp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0earmv6hfp5-HTTP-Tinyish-0.17.tgz
NetBSD 9.0earmv6hfp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0earmv7hfp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0earmv7hfp5-HTTP-Tinyish-0.17.tgz
NetBSD 9.0earmv7hfp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0earmv7hfp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0i386p5-HTTP-Tinyish-0.17.tgz
NetBSD 9.0i386p5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0mips64ebp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0mips64ebp5-HTTP-Tinyish-0.17.tgz
NetBSD 9.0mips64ebp5-HTTP-Tinyish-0.17.tgz
NetBSD 9.0mips64ebp5-HTTP-Tinyish-0.17.tgz
NetBSD 9.0mips64ebp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0mipselp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0mipselp5-HTTP-Tinyish-0.17.tgz
NetBSD 9.0mipselp5-HTTP-Tinyish-0.17.tgz
NetBSD 9.0mipselp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0powerpcp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0powerpcp5-HTTP-Tinyish-0.17.tgz
NetBSD 9.0powerpcp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0powerpcp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0sh3elp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0sh3elp5-HTTP-Tinyish-0.17.tgz
NetBSD 9.0sh3elp5-HTTP-Tinyish-0.17.tgz
NetBSD 9.0sh3elp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0sparc64p5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0sparc64p5-HTTP-Tinyish-0.17.tgz
NetBSD 9.0sparc64p5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0sparcp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0sparcp5-HTTP-Tinyish-0.17.tgz
NetBSD 9.0sparcp5-HTTP-Tinyish-0.17.tgz
NetBSD 9.0sparcp5-HTTP-Tinyish-0.17.tgz
NetBSD 9.0sparcp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0vaxp5-HTTP-Tinyish-0.17.tgz
NetBSD 9.0vaxp5-HTTP-Tinyish-0.17.tgz
NetBSD 9.0vaxp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0vaxp5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0x86_64p5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0x86_64p5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0x86_64p5-HTTP-Tinyish-0.17.tgz
NetBSD 9.0x86_64p5-HTTP-Tinyish-0.17nb1.tgz
NetBSD 9.0x86_64p5-HTTP-Tinyish-0.17nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.